<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class WaffleAccountLinkStateAction extends \Google\Protobuf\Internal\Message
{
    


    protected $linkState = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getLinkState()
    {
        return isset($this->linkState) ? $this->linkState : 0;
    }

    public function hasLinkState()
    {
        return isset($this->linkState);
    }

    public function clearLinkState()
    {
        unset($this->linkState);
    }

    




    public function setLinkState($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\SyncActionValue\WaffleAccountLinkStateAction\AccountLinkState::class);
        $this->linkState = $var;

        return $this;
    }

}

